Skip to main content
GET
/
cdn
/
alibaba_regions
Get Alibaba regions list
curl --request GET \
  --url https://api.gcore.com/cdn/alibaba_regions \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/cdn/alibaba_regions"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/cdn/alibaba_regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 1,
    "code": "cn-hangzhou",
    "name": "China (Hangzhou)"
  },
  {
    "id": 2,
    "code": "cn-shanghai",
    "name": "China (Shanghai)"
  }
]

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

limit
integer

Maximum number of items to return in the response. Cannot exceed 1000.

Required range: 1 <= x <= 1000
offset
integer

Number of items to skip from the beginning of the list.

Required range: x >= 0

Response

200 - application/json

Successful.

id
integer

Region ID.

code
string

Region code.

name
string

Region name.